<script>
    import Paginate from "$/components/Paginate.svelte";
    import { getGtfsArchivo } from "$/services/gtfs_archivo";
    import PageTitle from "$/components/PageTitle.svelte";    
    import { useLocation } from "svelte-navigator";
    import ModalgtfsUpload from "./ModalgtfsUpload.svelte";
    import { getPermisosPath } from "$/services/usuarios";
    import { getRedTransporte } from "$/services/red_transporte";
    
    
    let loading = false;
    let escritura = false;
    let location = useLocation()
    let redes = []
    let red = null
    let id_red;  
    let file; 
    let uploading = false;
    let gtfsArchivo = null;

    getPermisosPath($location.pathname)
        
        .catch(error => console.log({ error }))

   
  
    function onNuevo() {
        gtfsArchivo = {}
    }

     
  
</script>

<PageTitle {loading}>Cargar Archivo GTFS</PageTitle>
     


<div class="card">
    <p size="base"> El archivo debe tener extensión .zip<br>
    Verifique que contiene los siguientes archivos TXT </p>
    <ul>
                
        <li>Agency</li>
        <li>Calendar</li>
        <li>Feed_info</li>
        <li>Routes</li>
        <li>Shapes</li>
        <li>Stops</li>
        <li>Stop_times</li>
        <li>Trips</li>
        
    </ul>
     
  
</div>
<div class="row">
    <div class="col-md">
        
        <button class="btn btn-primary" on:click|preventDefault={onNuevo}>
          Cargar GTFS
     </button>
    
</div>
</div>
  
{#if gtfsArchivo}
<ModalgtfsUpload
    {gtfsArchivo}
    {escritura}
    on:close={() => gtfsArchivo = null}     
/>
{/if}